Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.instances.get_events_by_blueprint_instance(blueprint_instance_id="<id>", offset=0, limit=10, sort_by="<value>", sort_order="<value>")
# Handle response
print(res)curl --request GET \
--url https://api.meibel.ai/v1/blueprint-instance/{blueprint_instance_id}/events \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v1/blueprint-instance/{blueprint_instance_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"blueprint_instance_id": "<string>",
"id": "<string>",
"activity_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {},
"group_id": "<string>",
"is_signal": false,
"is_internal": false,
"originating_signal_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}blueprints.instances
Get Events By Blueprint Instance
GET
/
blueprint-instance
/
{blueprint_instance_id}
/
events
Python (SDK)
from meibelai import Meibelai
import os
with Meibelai(
api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:
res = m_client.blueprints.instances.get_events_by_blueprint_instance(blueprint_instance_id="<id>", offset=0, limit=10, sort_by="<value>", sort_order="<value>")
# Handle response
print(res)Authorizations
Path Parameters
Query Parameters
Number of items to skip
Required range:
x >= 0Maximum number of items to return
Required range:
1 <= x <= 100Field to sort by
Sort order (asc or desc)
Response
Successful Response
GetEventsResponse
Show child attributes
Show child attributes
Was this page helpful?
⌘I